
%global meadversion 3.0.1
%global namedversion 3.0.1.b08-redhat-1
%global meadalpha .b08_redhat_1
%global meadrel .1
%global serial 3
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}glassfish-el}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.1.b08-redhat-1

Name:           %{?scl_prefix}glassfish-el
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Expression Language 3.0
Group:          Development/Java

%if %with mead
Source100: javax.el-3.0.1.b08-redhat-1-scm-sources.zip
Source102: javax.el-impl-3.0.1.b08-redhat-1-sources.jar
Source103: javax.el-impl-3.0.1.b08-redhat-1.pom
Source104: javax.el-impl-3.0.1.b08-redhat-1.jar
Source105: javax.el-api-3.0.1.b08-redhat-1.jar
Source106: javax.el-api-3.0.1.b08-redhat-1.pom
Source107: javax.el-api-3.0.1.b08-redhat-1-sources.jar
Source108: javax.el-3.0.1.b08-redhat-1-project-sources.tar.gz
Source109: javax.el-3.0.1.b08-redhat-1-javadoc.jar
Source110: javax.el-3.0.1.b08-redhat-1.pom
%endif

License:        CDDL-1.0 or GPLv2 with exceptions
URL:            http://uel.java.net
Provides:       %{?scl_prefix}javax.el = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}glassfish-el-impl = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n %{?scl_prefix}glassfish-el-api
Summary:        Expression Language 3.0 API
Group:          Development/Java

Provides:       %{?scl_prefix}javax.el-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}glassfish-el-api
%{summary}.

%package -n %{?scl_prefix}glassfish-el-impl
Summary:        Expression Language 3.0 IMPL
Group:          Development/Java

Provides:       %{?scl_prefix}javax.el-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}glassfish-el-impl
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for glassfish-el
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n uel -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javax.el-api-%{namedversion}.jar %{buildroot}%{_javadir}/javax.el-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javax.el-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javax.el-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javax.el-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javax.el-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/javax.el-impl-%{namedversion}.jar %{buildroot}%{_javadir}/javax.el-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javax.el-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javax.el-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javax.el-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javax.el-impl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/glassfish-el-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javax.el-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/glassfish-el-%{namedversion} -x META-INF/\*
%{__ln_s} glassfish-el-%{namedversion} %{buildroot}%{_javadocdir}/glassfish-el
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}glassfish-el-api
%defattr(0644,root,root,0755)
%{_javadir}/javax.el-api-%{namedversion}.jar
%{_javadir}/javax.el-api.jar
%if %with javadoc
%{_javadir}/javax.el-api-%{namedversion}-javadoc.jar
%{_javadir}/javax.el-api-javadoc.jar
%endif
%{_javadir}/javax.el-api-%{namedversion}-sources.jar
%{_javadir}/javax.el-api-sources.jar

%files -n %{?scl_prefix}glassfish-el-impl
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/javax.el-impl-%{namedversion}.jar
%{_javadir}/javax.el-impl.jar
%if %with javadoc
%{_javadir}/javax.el-impl-%{namedversion}-javadoc.jar
%{_javadir}/javax.el-impl-javadoc.jar
%endif
%{_javadir}/javax.el-impl-%{namedversion}-sources.jar
%{_javadir}/javax.el-impl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/glassfish-el-%{namedversion}
%{_javadocdir}/glassfish-el
%endif

%changelog
* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 3.0.1-3.b08_redhat_1.1
- Rewrap for 7.2.0

* Wed Nov 08 2017 Permaine Cheung <pcheung@redhat.com> - 3.0.1-2.b08_redhat_1.1
- Fix License (JBEAP-13468)

* Fri Aug 14 2015 David Walluck <dwalluck@redhat.com> - 3.0.1-1.b08_redhat_1.1
- fix file list

* Fri Aug 14 2015 David Walluck <dwalluck@redhat.com> - 3.0.1-1.b08_redhat_1.1
- release

